#pragma once


// CDlgDBConnect 对话框

class CDlgDBConnect : public CDialog
{
	DECLARE_DYNAMIC(CDlgDBConnect)

public:
	CDlgDBConnect(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDlgDBConnect();

// 对话框数据
	enum { IDD = IDD_DIALOG_DB };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedBtnBrowse();
	afx_msg void OnBnClickedBtnConnect();
	afx_msg void OnBnClickedBtnDisconnect();
	virtual BOOL OnInitDialog();
public:
	_ConnectionPtr m_pConnection;
private:
	CString m_strPath;
	CString m_strTips;	
};
